﻿using System.Collections.ObjectModel;
using System.Windows;

namespace TilesTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class SeriesData : ObservableCollection<DataPoint>
    {
        public SeriesData()
        {
            Add(new DataPoint
            {
                Currency = "GBP",
                Date = "May 2001",
                Value = 1500
            });
            Add(new DataPoint
            {
                Currency = "USD",
                Date = "May 2001",
                Value = 2500
            });

            Add(new DataPoint
            {
                Currency = "EUR",
                Date = "May 2001",
                Value = 1800
            });
        }
    }

    public class DataPoint
    {
        public string Date { get; set; }
        public double Value { get; set; }
        public string Currency { get; set; }
    }

}
